<? include("std.inc"); ?>
<? $title = "{$site_name} Edit System Help"; ?>
<? include("header.inc"); ?>

<?

function user_page($auth_user)
{
   blurb("About the Edit System");
   ?>
<p>
The Edit system is a small content management system, designed primarily
to give people a way to edit page source files without using a unix shell.
It provides basic filebrowsing, including the following operations:
</p>
<ul>
<li>Directory browsing</li>
<li>View source files</li>
<li>View as web page</li>
<li>Edit and save source files</li>
<li>Create new files
  <ul>
  <li>HTML from template</li>
  <li>PHP from template</li>  
  <li>Directories</li>  
  <li>Uploaded files</li>  
  </ul>  
</li>
<li>Delete files / directories</li>
<li>Copy files / directories</li>
<li>Move files / directories</li>
<li>Rename files / directories</li>
</ul>
   <?
   blurb_end();

   blurb("Directory Browsing");
   ?>
<p>
After hitting the "<b>My Home Directory</b>" link, you should see a box with
several types of information in it:
</p>
<ul>
  <li>
   At the top it lists your current location.
   It says "Directory of" followed by the path to the directory you are in.
   Each part of this path is a link to take you directly to that location.
   It helps provide quick navigation, and is the easiest way to go <i>up</i>
   one or more levels.
  </li>
  <li>
   Next is the "View as Web Page" link.
   Click this to see the current directory as it will appear to a regular
   web user.
  </li>
  <li>
   The main part of the box lists files and directories.  Files are shown
   in two shades of green, and directories in two shades of blue.  Click on
   a file or directory's name to edit its contents.  The checkboxes to the
   left of each name are used for cut, copy, paste, delete, and rename.
  </li>
  <li>
   At the bottom of the file browser box, there are several buttons.  Normally
   these are Rename, Cut, Copy, and Delete.  If you have anything in your
   clipboard, the Paste button will appear too.  These are all covered below.
  </li>
</ul>
   <?
   blurb_end();

   blurb("Editing Files");
   ?>
<p>
After clicking a file's name to edit its contents, a file editor page should
appear.  This page has the full path and "view as web page" links just like
the directory browser page, and they work in the same manner.  Below that are
different items.
</p>
<p>
The text editing box shows the contents of the file.  You may view or edit
the contents as desired here.  If you have write access to the file, a button
will appear below labelled "Save Changes".  Also a short form for uploading
a file will appear.  You can use this to replace the file's contents with
something entirely new.
</p>
   <?
   blurb_end();

   blurb("New Files");
   ?>
<p>
At the top of the directory browser there is a short form to add new files.
This will create a new file in the current directory.
Currently it supports the following file types:
</p>
<ul>
  <li>
   <b>PHP Page:</b>
   This will create a file with the default PHP template materials pre-inserted
   for you.  You will need to define a title and fill in the page content, but
   the header and footer are already there.
  </li>
  <li>
   <b>HTML Page:</b>
   This will create a blank generic HTML file, with no defined content or style
   or template.  The basic document structure is created for you, but the rest
   is not.
  </li>
  <li>
   <b>Directory:</b>
   This adds a folder to the hierarchy for you to put files in.
  </li>
  <li>
   <b>Upload a File:</b>
   If you wish to create a new file that is not HTML or PHP (such as an
   image or a sound clip), create the file on your workstation and then
   upload it using this tool.
  </li>
</ul>
   <?
   blurb_end();

   blurb("Other File Operations");
   ?>

You can delete, rename, copy, and move files too.  First select the checkmark
next to each file you want to modify.  Then hit one of the buttons at the
bottom of the file list.

<p>
<strong>Delete:</strong>
Each checked file will be erased, if possible.  The Edit system will <b>not</b>
ask for confirmation, so be sure you really want to get rid of a file before
you click <b>Delete</b>.  
<br>
<b>Note:</b>  You cannot delete a directory unless it
is empty.

<p>
<strong>Rename:</strong>
Select a few files then hit <b>Rename</b>.  A page will be displayed, asking for
new names for each of the selected files.  After choosing a new name for
each file, click the <b>Go</b> button.  The file listing should reflect your changes.
<br>
<b>Note:</b>  You cannot overwrite a file with the <b>Rename</b> function.  It will
refuse to change the file name in this case.

<p>
<strong>Cut:</strong>
The <b>Cut</b> button is used when you want to move a file or directory from
one place to another.  This is done in three steps, using a <i>clipboard</i>
technique.  These are the three steps:
<ol>
<li>Select the files and directories you want to move.  Click the <b>Cut</b> button.</li>
<li>Use the File Browser to go to the directory you want to move files to.</li>
<li>Click the <b>Paste</b> button.</li>
</ol>
The files you moved should now be in their new location.

<p>
<strong>Copy:</strong>
Use the <b>Copy</b> button when you want to copy a file from
one place to another.  This is also done in three steps, using a 
<i>clipboard</i> technique.  The three steps are almost the same as above:
<ol>
<li>Select the files you want to copy.  Click the <b>Copy</b> button.</li>
<li>Use the File Browser to go to the directory you want to copy files to.</li>
<li>Click the <b>Paste</b> button.</li>
</ol>
The files you copied should now be in their new location.
<br>
<b>Note:</b>  You cannot copy a directory.

   <?
   blurb_end();
}

check_login("edit");
?>

<? include("footer.inc"); ?>
